Bug 120675 - [GTK] ghost cursor when mouse hovers over an image file in a tab
Summary: [GTK] ghost cursor when mouse hovers over an image file in a tab
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKitGTK (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Linux
: P2 Normal
Assignee: Claudio Saavedra
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-09-04 04:15 PDT by Sindhu S
Modified: 2013-09-09 00:30 PDT (History)
5 users (show)

See Also:


Attachments
Test case. (3.05 KB, text/plain)
2013-09-06 06:01 PDT, Claudio Saavedra
no flags Details
Patch (1.80 KB, patch)
2013-09-08 23:53 PDT, Claudio Saavedra
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Sindhu S 2013-09-04 04:15:21 PDT
I have epiphany built from git master today. There is an odd cursor appearing
when mouse pointer is on an image that is opened inside epiphany. If I take a
screenshot, in the screenshot the normal mouse pointer appears.

Epiphany maintainer confirms that this is reproducible on GtkLauncher and MiniBrowser
Comment 1 Claudio Saavedra 2013-09-04 04:19:42 PDT
Both the zoom-in and the zoom-out cursors seem to be corrupted somehow. I haven't checked the other custom cursos, though.
Comment 2 Claudio Saavedra 2013-09-05 14:23:39 PDT
After the patch in bug 118905 landed there is no "ghost" cursor anymore, but no cursor either.
Comment 3 Claudio Saavedra 2013-09-06 06:01:34 PDT
Created attachment 210725 [details]
Test case.

I wrote this small test case from the code in CursorGtk.cpp, it shows that the cursor is always corrupted. Something has changed that is rendering the code useless.
Comment 4 Claudio Saavedra 2013-09-06 09:05:11 PDT
So it was a GTK+ bug. I fixed it in GTK+ master already. However there is a method we should be using here to make this simpler. gdk_cursor_new_from_surface(). I'll cook a patch.
Comment 5 Martin Robinson 2013-09-06 09:10:39 PDT
Is gdk_cursor_new_from_surface in GDK 3.6?
Comment 6 Claudio Saavedra 2013-09-06 09:13:01 PDT
No, only 3.9. But I think we want to use it for hires display support.
Comment 7 Claudio Saavedra 2013-09-06 09:22:20 PDT
If we're not going to bump to 3.9 for this, then I guess we can close this already.
Comment 8 Carlos Garcia Campos 2013-09-07 03:44:14 PDT
(In reply to comment #7)
> If we're not going to bump to 3.9 for this, then I guess we can close this already.

Why? We can use the new code when GTK version is >= 3.9, no?
Comment 9 Martin Robinson 2013-09-07 12:00:49 PDT
(In reply to comment #8)
> (In reply to comment #7)
> > If we're not going to bump to 3.9 for this, then I guess we can close this already.
> 
> Why? We can use the new code when GTK version is >= 3.9, no?

If we are interested in keeping backward compatibility, we can just write a version that targets <= 3.6 and use it conditionally. It's just a question of whether or not we think it's useful / makes the code nicer.
Comment 10 Claudio Saavedra 2013-09-08 23:53:33 PDT
Created attachment 211011 [details]
Patch
Comment 11 WebKit Commit Bot 2013-09-09 00:30:41 PDT
Comment on attachment 211011 [details]
Patch

Clearing flags on attachment: 211011

Committed r155329: <http://trac.webkit.org/changeset/155329>
Comment 12 WebKit Commit Bot 2013-09-09 00:30:43 PDT
All reviewed patches have been landed.  Closing bug.